Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package directscripts.gendocs

## Classes
class | CodeDatabase
class | InterrogateDatabase
class | InterrogateDerivation
class | InterrogateEnumValue
class | InterrogateFunction
class | InterrogateParameter
class | InterrogateTokenizer
| Interrogate Database Tokenizer. More...
class | InterrogateType
class | InterrogateWrapper
class | ParseTreeInfo
## Functions
def | convertToPythonFn
def | expandImports
| IMPORT repair.
def | findFiles
def | generate
def | generateFunctionDocs
def | generateLinkTable
def | linkTo
def | makeCodeDatabase
| HTML generation.
def | parseInterrogateIntVec
def | pathToModule
def | printTree
def | readFile
def | removeFileLicense
def | textToHTML
def | writeFile
def | writeFileLines
## Variables
tuple | ASSIGNMENT_STMT_PATTERN
dictionary | CLASS_RENAME_DICT
tuple | COMPOUND_STMT_PATTERN
tuple | DERIVATION_PATTERN
tuple | DOCSTRING_STMT_PATTERN
tuple | FILEHEADER
tuple | IDENTIFIER = re.compile("[a-zA-Z0-9_]+")
tuple | IMPORTSTAR = re.compile("^from\s+([a-zA-Z0-9_.]+)\s+import\s+[*]\s*$")
tuple | JUNKHEADER = re.compile("^((Function)|(Access))\s*:")
tuple | SECHEADER = re.compile("^[A-Z][a-z]+\s*:")
| assorted utility functions

## Function Documentation

def directscripts.gendocs.convertToPythonFn | ( |  | fn | ) |

def directscripts.gendocs.expandImports | ( |  | indirlist,
|  |  | directdirlist,
|  |  | fixdirlist
| ) |  |

IMPORT repair.

def directscripts.gendocs.findFiles | ( |  | dirlist,
|  |  | ext,
|  |  | ign,
|  |  | list
| ) |  |

def directscripts.gendocs.generate | ( |  | pversion,
|  |  | indirlist,
|  |  | directdirlist,
|  |  | docdir,
|  |  | header,
|  |  | footer,
|  |  | urlprefix,
|  |  | urlsuffix
| ) |  |

def directscripts.gendocs.generateFunctionDocs | ( |  | code,
|  |  | method,
|  |  | urlprefix,
|  |  | urlsuffix
| ) |  |

def directscripts.gendocs.generateLinkTable | ( |  | link,
|  |  | text,
|  |  | cols,
|  |  | urlprefix,
|  |  | urlsuffix
| ) |  |

def directscripts.gendocs.linkTo | ( |  | link,
|  |  | text
| ) |  |

def directscripts.gendocs.makeCodeDatabase | ( |  | indirlist,
|  |  | directdirlist
| ) |  |

HTML generation.

def directscripts.gendocs.parseInterrogateIntVec | ( |  | tokzr | ) |

def directscripts.gendocs.pathToModule | ( |  | result | ) |

def directscripts.gendocs.printTree | ( |  | tree,
|  |  | indent
| ) |  |

def directscripts.gendocs.readFile | ( |  | fn | ) |

def directscripts.gendocs.removeFileLicense | ( |  | content | ) |

def directscripts.gendocs.textToHTML | ( |  | comment,
|  |  | sep,
|  |  | delsection = `None`
| ) |  |

def directscripts.gendocs.writeFile | ( |  | wfile,
|  |  | data
| ) |  |

def directscripts.gendocs.writeFileLines | ( |  | wfile,
|  |  | lines
| ) |  |

## Variable Documentation

tuple ASSIGNMENT_STMT_PATTERN

Initial value:

    00001 (
    00002     symbol.stmt,
    00003     (symbol.simple_stmt,
    00004      (symbol.small_stmt,
    00005       (symbol.expr_stmt,
    00006        (symbol.testlist,
    00007         (symbol.test,
    00008          (symbol.or_test,
    00009            (symbol.and_test,
    00010             (symbol.not_test,
    00011              (symbol.comparison,
    00012               (symbol.expr,
    00013                (symbol.xor_expr,
    00014                 (symbol.and_expr,
    00015                  (symbol.shift_expr,
    00016                   (symbol.arith_expr,
    00017                    (symbol.term,
    00018                     (symbol.factor,
    00019                      (symbol.power,
    00020                       (symbol.atom,
    00021                        (token.NAME, ['varname']),
    00022        ))))))))))))))),
    00023        (token.EQUAL, '='),
    00024        (symbol.testlist, ['rhs']))),
    00025      (token.NEWLINE, ''),
    00026    ))

dictionary CLASS_RENAME_DICT

Initial value:

    00001 {
    00002     # No longer used, now empty.
    00003 }

tuple COMPOUND_STMT_PATTERN

Initial value:

    00001 (
    00002     symbol.stmt,
    00003     (symbol.compound_stmt, ['compound'])
    00004     )

tuple DERIVATION_PATTERN

Initial value:

    00001 (
    00002     symbol.test,
    00003     (symbol.or_test,
    00004      (symbol.and_test,
    00005       (symbol.not_test,
    00006        (symbol.comparison,
    00007         (symbol.expr,
    00008          (symbol.xor_expr,
    00009           (symbol.and_expr,
    00010            (symbol.shift_expr,
    00011             (symbol.arith_expr,
    00012              (symbol.term,
    00013               (symbol.factor,
    00014                (symbol.power,
    00015                 (symbol.atom,
    00016                  (token.NAME, ['classname'])
    00017    ))))))))))))))

tuple DOCSTRING_STMT_PATTERN

Initial value:

    00001 (
    00002     symbol.stmt,
    00003     (symbol.simple_stmt,
    00004      (symbol.small_stmt,
    00005       (symbol.expr_stmt,
    00006        (symbol.testlist,
    00007         (symbol.test,
    00008          (symbol.or_test,
    00009            (symbol.and_test,
    00010             (symbol.not_test,
    00011              (symbol.comparison,
    00012               (symbol.expr,
    00013                (symbol.xor_expr,
    00014                 (symbol.and_expr,
    00015                  (symbol.shift_expr,
    00016                   (symbol.arith_expr,
    00017                    (symbol.term,
    00018                     (symbol.factor,
    00019                      (symbol.power,
    00020                       (symbol.atom,
    00021                        (token.STRING, ['docstring'])
    00022                        ))))))))))))))))),
    00023      (token.NEWLINE, '')
    00024      ))

tuple FILEHEADER

Initial value:

    00001 re.compile(
    00002 r"""^// Filename: [a-zA-Z.]+// Created by:  [a-zA-Z. ()0-9]+(//)?//////////////////////////////////////////////////////////////////////// PANDA 3D SOFTWARE// Copyright \(c\) Carnegie Mellon University.  All rights reserved.//// All use of this software is subject to the terms of the revised BSD// license.  You should have received a copy of this license along// with this source code in a file named "LICENSE."//////////////////////////////////////////////////////////////////////""")

tuple IDENTIFIER = re.compile("[a-zA-Z0-9_]+")

tuple IMPORTSTAR = re.compile("^from\s+([a-zA-Z0-9_.]+)\s+import\s+[*]\s*$")

tuple JUNKHEADER = re.compile("^((Function)|(Access))\s*:")

tuple SECHEADER = re.compile("^[A-Z][a-z]+\s*:")

assorted utility functions

All Classes Namespaces Functions Variables Enumerations Enumerator Properties